Ball = Object:extend()

function Ball:new()
	self.x = love.math.random(-1000, 1000)
	self.y = love.math.random(-1000, 1000)
	self.d = (self.x + self.y)/2
	self.time = 0
	self.color = {love.math.random(255), love.math.random(255), love.math.random(255)}
end

function Ball:update(dt)
	if self.time <= 0 then
		self.move = love.math.random(1, 30/crs)
		self.dir = 0
		if self.move == 1 then
			self.dir = love.math.random(1, 2*math.pi)
			self.time = love.math.random(1, 5)
		end
	end
	if getDistance(self.x, self.y, playerx, playery) < 50 then
		self.dir = math.atan2(self.y - playery, self.x - playerx)
		self.time = 3
		self.move = 1
	end
	self.time = self.time - dt * crs
	self.cos = math.cos(self.dir)
	self.sin = math.sin(self.dir)

	if self.move == 1 then
		self.x = self.x + 50 * self.cos * dt * crs
		self.y = self.y + 50 * self.sin * dt * crs
	end
end

function Ball:draw()
	love.graphics.setColor(self.color)
	love.graphics.circle("fill", self.x, self.y, 5)
end