function love.load()
	Object = require "classic"
	require "ball"
	balls = {}
	clock = love.graphics.newImage("clock.png")
	wheel = love.graphics.newImage("wheel.png")
	music = love.audio.newSource('music.ogg')
	music:setLooping(true)
	music:setVolume(1)
	love.audio.setVolume(1)
	cr = 0
	crs = 1
	playerx = 0
	playery = 0
	nope = true
	for i=1,1000 do
		table.insert(balls, Ball())
	end
	velx, vely = 0, 0
	font = love.graphics.getFont()
	scale = 1
	love.window.setTitle('Time is weird')
end

function love.update(dt)
	cr = cr + crs * dt * math.pi

	if crs >= 0.01 then crs = crs + vely/10 end
	if crs < 0.01 then crs = 0.01 end

	for i,v in ipairs(balls) do
		v:update(dt)
	end

	mousex, mousey = love.mouse.getPosition()
	playerdir = math.atan2(mousey - 300, mousex - 400)
	cos = math.cos(playerdir)
	sin = math.sin(playerdir)
	if love.mouse.isDown(1) then
		playerx = playerx + 100 * cos * dt
		playery = playery + 100 * sin * dt
	end
	music:setPitch(crs)
	love.audio.play(music)

	if love.mouse.isDown(2) and crs > 1 then crs = 1 end
	if love.mouse.isDown(3) then crs = crs + 0.001 end

	scale = 1

	velx = 0
	vely = 0
end

function love.draw()
	love.graphics.push()

	love.graphics.translate(scale * (400/scale - playerx), scale * (300/scale - playery))
	love.graphics.scale(scale, scale)

	for i,v in ipairs(balls) do
		if getDistance(v.x, v.y, playerx, playery) < 800/scale then v:draw() end
	end

	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(wheel, playerx, playery, -cr/2, 0.8, 0.8)
	love.graphics.draw(clock, playerx, playery, cr/12 - math.pi/2, 1, 1, 50, 50)
	love.graphics.draw(clock, playerx, playery, cr - math.pi/2, 1, 1, 50, 50)
	love.graphics.circle("fill", playerx, playery, 10)

	love.graphics.pop()

	-- love.graphics.print("Time: " .. crs .. 'x', 400 - font:getWidth("Time: " .. crs .. 'x')/2, 400)
	-- love.graphics.print("Zoom: " .. scale .. 'x', 400 - font:getWidth("Zoom: " .. scale .. 'x')/2, 430)
end

function love.wheelmoved(x, y)
	velx = velx + x/20
  vely = vely + y/20
end

function getDistance(x1, y1, x2, y2)
	dx = (x1 - x2)
	dy = (y1 - y2)

	return math.sqrt(dx^2 + dy^2)
end